Pre-Trade Check
This guide assumes you already have followed the instructions on the offering page to obtain credentials
Requesting pre-trade-check data
1. Polling Pre-Trade Checks
This endpoint allows for automatic retrieval of pre-trade checks into your system. Once the user clicks the "Pretrade check" button on deritrade, the pre-trade check data will be accessible through this endpoint. For example, you could call this endpoint every 30-60 seconds using the offset provided in the links.next property to receive the pre-trade checks that occurred since the last call. The response body includes a simulationUrl that can be used to resimulate and trade.
GET https://structured-products-reference-data.api.vontobel.com/v1/pretradechecks
Response
{
"nextId": "1760427906741-1",
"preTradeChecks": [
{
"preTradeCheckId": "XF005000B928",
"simulationUrl": "https://a-app.deritrade.vt.ch/sp/simulate?id=39209933",
"instrument": {
"id": 4610743427,
"name": "9.55% (10.41% p.a.) Barrier Reverse Convertible on Microsoft Corp."
// ... other instrument fields
},
"indicativeTrades": [
{
"preTradeCheckId": "XF005000B928",
"quantity": 154000,
"volume": 154000,
"volumeNet": 154000,
"reference": "ref"
}
]
}
],
"links": {
"next": "/v1/pretradechecks?since=1760427906741-1"
}
}
2. Retrieving a Single Pre-Trade Check
GET https://structured-products-reference-data.api.vontobel.com/v1/pretradechecks/id/{id}
This endpoint allows for the retrieval of a single pre-trade check based on the pre-trade check id. The pre-trade check id will be visible on the UI, enabling users to copy it to their system and retrieve the data using this endpoint.
Reference: see swagger reference